/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa.entity;

import com.jeeplus.modules.sys.entity.Office;

import java.util.List;

import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 考勤规则Entity
 * @author 孟祥越
 * @version 2017-05-10
 */
public class OaAttendanceRule extends DataEntity<OaAttendanceRule> {
	
	private static final long serialVersionUID = 1L;
	private Office company;		// 公司
	private String startTime;		// 上班时间
	private String endTime;		// 下班时间
	private String workdays;		// 工作日
	private String placeId;		// 考勤地点
	private String wifi;		// 考勤WIFI
    private String wifiName;		// 考勤WIFI名称
	private String name;		// 名称
    private String[] wifis;		// 考勤WIFI
    private String[] wifiNames;		// 考勤WIFI名称
    private String[] placeIds;		// 名称
    private List list;
	private List<OaAttendancePlace> oaAttendancePlaceList = Lists.newArrayList();		// 子表列表
	
	
	public OaAttendanceRule() {
		super();
	}

	public OaAttendanceRule(String id){
		super(id);
	}

	@ExcelField(title="公司", fieldType=Office.class, value="company.name", align=2, sort=1)
	public Office getCompany() {
		return company;
	}

	public void setCompany(Office company) {
		this.company = company;
	}
	
	@ExcelField(title="上班时间", align=2, sort=2)
	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	
	@ExcelField(title="下班时间", align=2, sort=3)
	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	
	@ExcelField(title="工作日", align=2, sort=4)
	public String getWorkdays() {
		return workdays;
	}

	public void setWorkdays(String workdays) {
		this.workdays = workdays;
	}
	
	@ExcelField(title="考勤地点", align=2, sort=5)
	public String getPlaceId() {
		return placeId;
	}

	public void setPlaceId(String placeId) {
		this.placeId = placeId;
	}

	@ExcelField(title="考勤WIFI", align=2, sort=6)
	public String getWifi() {
		return wifi;
	}

	public void setWifi(String wifi) {
		this.wifi = wifi;
	}
	
	@ExcelField(title="名称", align=2, sort=13)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<OaAttendancePlace> getOaAttendancePlaceList() {
		return oaAttendancePlaceList;
	}

	public void setOaAttendancePlaceList(List<OaAttendancePlace> oaAttendancePlaceList) {
		this.oaAttendancePlaceList = oaAttendancePlaceList;
	}

	public String getWifiName() {
		return wifiName;
	}

	public void setWifiName(String wifiName) {
		this.wifiName = wifiName;
	}

    public String[] getWifis() {
        return wifis;
    }

    public void setWifis(String[] wifis) {
        this.wifis = wifis;
    }

    public String[] getWifiNames() {
        return wifiNames;
    }

    public void setWifiNames(String[] wifiNames) {
        this.wifiNames = wifiNames;
    }

    public String[] getPlaceIds() {
        return placeIds;
    }

    public void setPlaceIds(String[] placeIds) {
        this.placeIds = placeIds;
    }

    public List getList() {
        return list;
    }

    public void setList(List list) {
        this.list = list;
    }
}